Bug 827722 - Review Request: python-qrcode - Python QR Code image generator
Review Request: python-qrcode - Python QR Code image generator
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
: Reopened
: 824628 (view as bug list)
Depends On:
Blocks: 827723
  Show dependency treegraph
Reported: 2012-06-02 12:30 EDT by Michel Alexandre Salim
Modified: 2014-11-13 11:37 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-19 10:50:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2012-06-02 12:30:07 EDT
Spec URL: http://salimma.fedorapeople.org/specs/healthcare/python-qrcode.spec
SRPM URL: http://salimma.fedorapeople.org/specs/healthcare/python-qrcode-2.4.1-1.fc17.src.rpm
This module uses the Python Imaging Library (PIL) to allow for the
generation of QR Codes.

Fedora Account System Username: salimma
Comment 1 Pierre-YvesChibon 2012-06-03 05:50:57 EDT

*** This bug has been marked as a duplicate of bug 824628 ***
Comment 2 Michel Alexandre Salim 2012-06-06 05:12:02 EDT
*** Bug 824628 has been marked as a duplicate of this bug. ***
Comment 3 Michel Alexandre Salim 2012-06-06 05:19:40 EDT
Spec URL: http://salimma.fedorapeople.org/specs/healthcare/python-qrcode.spec
SRPM URL: http://salimma.fedorapeople.org/specs/healthcare/python-qrcode-2.4.1-2.fc17.src.rpm

Incorporated Pierre-Yves' feedback both in #824628 and in the development list
Comment 4 Peter Lemenkov 2012-06-07 04:24:44 EDT
I'll review it.
Comment 5 Peter Lemenkov 2012-06-07 05:11:53 EDT
Koji scratchbuild for F-18:

* http://koji.fedoraproject.org/koji/taskinfo?taskID=4135361


Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is almost silent

work ~: rpmlint Desktop/python-qrcode-2.4.1-2.fc18.*
python-qrcode.noarch: W: no-manual-page-for-binary qrcode
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
work ~: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (BSD as stated in the PKG-INFO file).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum qrcode-2.4.1.tar.gz*
3b7613c4bff6d4a381ab9641d384a9dd7dc48e133dc29b5f85c45e429f6713ef  qrcode-2.4.1.tar.gz
3b7613c4bff6d4a381ab9641d384a9dd7dc48e133dc29b5f85c45e429f6713ef  qrcode-2.4.1.tar.gz.1
sulaco ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.

+/- The package should consistently use macros so please use %{buildroot} instead of $RPM_BUILD_ROOT although I personally don't consider this as a blocker.

+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.

Please consider consistent macro usage within spec-file before importing. This package is

Comment 6 Michel Alexandre Salim 2012-06-07 22:57:50 EDT
(In reply to comment #5)
> Please consider consistent macro usage within spec-file before importing.

Hmm, my interpretation of that directive is that as long as one doesn't mix and match $RPM_BUILD_ROOT and %{buildroot} in the same spec one is OK (though I've been leaning towards using %{buildroot} anyway so I'll change that in any case). Otherwise every default template generated by rpmdev-newspec is broken!

> This package is

Thanks for the review.

New Package SCM Request
Package Name: python-qrcode
Short Description: Python QR Code image generator
Owners: salimma
Branches: el6 f16 f17
Comment 7 Jon Ciesla 2012-06-08 08:44:39 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-06-08 11:56:06 EDT
python-qrcode-2.4.1-2.fc17 has been submitted as an update for Fedora 17.
Comment 9 Fedora Update System 2012-06-08 11:56:16 EDT
python-qrcode-2.4.1-2.fc16 has been submitted as an update for Fedora 16.
Comment 10 Fedora Update System 2012-06-08 12:27:00 EDT
python-qrcode-2.4.1-2.el6 has been submitted as an update for Fedora EPEL 6.
Comment 11 Fedora Update System 2012-06-09 15:25:58 EDT
python-qrcode-2.4.1-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 12 Fedora Update System 2012-06-19 10:50:31 EDT
python-qrcode-2.4.1-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Fedora Update System 2012-06-19 10:59:09 EDT
python-qrcode-2.4.1-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 14 Fedora Update System 2012-06-26 13:30:46 EDT
python-qrcode-2.4.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 15 Ralph Bean 2014-11-12 22:38:39 EST
Package Change Request
Package Name: python-qrcode
New Branches: epel7
Owners: ralph
Comment 16 Jon Ciesla 2014-11-13 11:37:57 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.